Bug 1027502 - Replication Failures related to skipped entries due to cleaned rids
Replication Failures related to skipped entries due to cleaned rids
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On: 1027496
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 19:10 EST by Nathan Kinder
Modified: 2014-06-17 23:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1027496
Environment:
Last Closed: 2014-06-13 08:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-11-06 19:10:30 EST
+++ This bug was initially created as a clone of Bug #1027496 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47585

I have a new issue that is affecting most of my systems since the upgrade to 389-ds-base-1.2.11.15-22.el6_4.x86_64.

My systems appear to have stopped replicating new changes with one another and with replication debugging turned up, it appears that they know about the changes they have pending, but they choose not to send any of them.

There don't appear to be any errors and any other signs of issue except for the fact that changes are not propagating.
Comment 1 Rich Megginson 2013-11-11 18:06:32 EST
------------------------------------------------------------------------
r8202 | rmeggins@REDHAT.COM | 2013-11-11 16:05:48 -0700 (Mon, 11 Nov 2013) | 2 lines

Test for upstream ticket https://fedorahosted.org/389/ticket/47585

------------------------------------------------------------------------
Comment 3 Sankar Ramalingam 2014-01-30 02:34:56 EST
(In reply to Rich Megginson from comment #1)
> ------------------------------------------------------------------------
> r8202 | rmeggins@REDHAT.COM | 2013-11-11 16:05:48 -0700 (Mon, 11 Nov 2013) |
> 2 lines
> 
Hi Rich, do you have automated tests in TET to verify this bug?

> Test for upstream ticket https://fedorahosted.org/389/ticket/47585
> 
> ------------------------------------------------------------------------
Comment 4 Rich Megginson 2014-01-30 10:33:17 EST
(In reply to Sankar Ramalingam from comment #3)
> (In reply to Rich Megginson from comment #1)
> > ------------------------------------------------------------------------
> > r8202 | rmeggins@REDHAT.COM | 2013-11-11 16:05:48 -0700 (Mon, 11 Nov 2013) |
> > 2 lines
> > 
> Hi Rich, do you have automated tests in TET to verify this bug?
> 
> > Test for upstream ticket https://fedorahosted.org/389/ticket/47585
> > 
> > ------------------------------------------------------------------------

Yes, in mmrepl/cleanallruv/cleanallruv.sh ticket47585()
Comment 5 Amita Sharma 2014-02-05 08:19:52 EST
Thanks Rich for automating it.

mmrepl/cleanallruv/cleanallruv.sh ticket47585()

cleanallruv startup 	100% (1/1) 	  	 
cleanallruv run 	100% (7/7) 	  	 
cleanallruv cleanup 	100% (1/1)

value telephoneNumber-2-0 was replicated successfully
ticket47585: cleanup
backend for o=ticket47585 is ticket47585
backend for o=ticket47585 is ticket47585
backend for o=ticket47585 is ticket47585
TestCase [ticket47585] result-> [PASS]

Hence marking as VERIFIED.
Comment 6 Jenny Galipeau 2014-02-10 10:29:49 EST
Amita could you please add the version of 389-ds-base the bug was verified against?
Comment 7 Amita Sharma 2014-02-11 01:05:50 EST
Hi Jenny,

Version = 389-ds-base-1.3.1.6-18.el7.x86_64
Report = http://ibm-x3650m4-02-vm-02.lab.eng.bos.redhat.com/qa/archive/beaker/RHEL-7.0-20140127.0/x86_64/389-ds-base-1.3.1.6-18.el7.x86_64/Linux/20140204-000655.html

Thanks,
Ami
Comment 8 Ludek Smid 2014-06-13 08:32:08 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.